- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Fields

# libiscsi_network_config Struct Reference

libiscsi network config struct More...

`#include <libiscsi.h>`

## Data Fields
int | dhcp
char | iface_name [LIBISCSI_VALUE_MAXLEN]
char | mac_address [LIBISCSI_VALUE_MAXLEN]
char | ip_address [LIBISCSI_VALUE_MAXLEN]
char | netmask [LIBISCSI_VALUE_MAXLEN]
char | gateway [LIBISCSI_VALUE_MAXLEN]
char | primary_dns [LIBISCSI_VALUE_MAXLEN]
char | secondary_dns [LIBISCSI_VALUE_MAXLEN]

## Detailed Description

libiscsi network config struct.

## Field Documentation

int libiscsi_network_config::dhcp

Using DHCP? (boolean).

char libiscsi_network_config::gateway[LIBISCSI_VALUE_MAXLEN]

IP of Default gateway.

char libiscsi_network_config::iface_name[LIBISCSI_VALUE_MAXLEN]

Interface name.

char libiscsi_network_config::ip_address[LIBISCSI_VALUE_MAXLEN]

IP address.

char libiscsi_network_config::mac_address[LIBISCSI_VALUE_MAXLEN]

MAC address.

char libiscsi_network_config::netmask[LIBISCSI_VALUE_MAXLEN]

Netmask.

char libiscsi_network_config::primary_dns[LIBISCSI_VALUE_MAXLEN]

IP of the Primary DNS.

char libiscsi_network_config::secondary_dns[LIBISCSI_VALUE_MAXLEN]

IP of the Secondary DNS.

The documentation for this struct was generated from the following file:

- libiscsi.h